{% extends 'base.html' %}
{% load staticfiles %}
{% load i18n %}

{% block title %}
  {% trans "Gerenciar Usuários" %}
{% endblock %}

{% block header %}
<div id="head" class="secondary" style=></div>
{% endblock %}

{% block body %}
<div class="container">

  <ol class="breadcrumb">
    <li><a href="{% url 'index' %}">{% trans "Início" %}</a></li>
    <li><a href="{% url 'dashboard' %}">{% trans "Painel de Controle" %}</a></li>
    <li class="active">{% trans "Usuários" %}</li>
  </ol>

  <div class="row">
    <article class="col-xs-12 maincontent">

      <header class="page-header">
        <h1 class="page-title">{% trans "Usuários" %}</h1>
      </header>

      <div class="col-md-8 col-md-offset-2 col-sm-8 col-sm-offset-2">
        <div class="text-center">
          <b><a href="{% url 'users:new_user' %}" class="btn btn-success">{% trans "Cadastrar Usuário" %}</a></b>
        </div>
        <hr>

        <div class="panel panel-default">
          <div class="panel-body">
            <h3 class="thin text-center">{% trans "Lista de Usuários" %}</h3>
            <hr>
            {% if users %}
              <table id="centered_table" class="table table-bordered">
                <thead>
                  <tr>
                    <th>{% trans "Nome" %}</th>
                    <th>{% trans "Sobrenome" %}</th>
                    <th>{% trans "Email" %}</th>
                    <th>{% trans "Administrador" %}</th>
                  </tr>
                </thead>

                <tbody>
                  {% for user in users %}
                    <tr>
                      <td><a href="{% url 'users:info_user' user.id %}">{{user.first_name}}</a></td>
                      <td>{{user.last_name}}</td>
                      <td>{{user.email}}</td>

                      {% if user.is_superuser%}
                        <td>
                          <span class="glyphicon glyphicon-ok">
                        </td>
                      {% else %}
                        <td>
                          <span class="glyphicon glyphicon-remove">
                        </td>
                      {% endif %}
                    </tr>
                  {% endfor %}
                </tbody>
              </table>

            {% else %}
              <div class="container">
                <div class="starter-template">
                  <h1>{% trans "Nenhum Usuário Registrado" %}</h1>
                </div>
              </div>
            {% endif %}
          </div>
        </div>
      </div>
    </article>
  </div>
</div>
{% endblock %}
